MINTPY-UNWRAP_ERROR_BRIDGING(1)

NAME
mintpy-unwrap_error_bridging - Unwrapping Error Correction with Bridging

DESCRIPTION
usage: unwrap_error_bridging.py [-h] [-r BRIDGEPTSRADIUS]

[--ramp {linear,quadratic}]
    [--water-mask WATERMASKFILE] [-m CONNCOMPMINAREA] [-t TEMPLATE_FILE] [-i DATASETNAMEIN] [-o DATASETNAMEOUT] [--update] ifgram_file

Unwrapping Error Correction with Bridging

    by connecting reliable regions with MST bridges. This method assumes the phase differences between neighboring regions are less than pi rad in magnitude.

  positional arguments:

ifgram_file
    interferograms file to be corrected

  options:

-h, --help
    show this help message and exit

-r BRIDGEPTSRADIUS, --radius BRIDGEPTSRADIUS
    radius of the end point of bridge to search area to get median representative value default: 50.

--ramp {linear,quadratic}
    type of phase ramp to be removed before correction.

--water-mask WATERMASKFILE, --wm WATERMASKFILE
    path of water mask file.

-m CONNCOMPMINAREA, --min-area CONNCOMPMINAREA
    minimum region/area size of a single connComponent.

-t TEMPLATE_FILE, --template TEMPLATE_FILE
    template file with bonding point info, e.g. mintpy.unwrapError.yx = 283,1177,305,1247;350,2100,390,2200

-i DATASETNAMEIN, --in-dataset DATASETNAMEIN
    name of dataset to be corrected, default: unwrapPhase

-o DATASETNAMEOUT, --out-dataset DATASETNAMEOUT
    name of dataset to be written after correction, default: {}_bridging

--update
    Enable update mode: if unwrapPhase_unwCor dataset exists, skip the correction.

  reference:

    Yunjun, Z., H. Fattahi, and F. Amelung (2019), Small baseline InSAR time series analysis: Unwrapping error correction and noise reduction, Computers & Geosciences, 133, 104331, doi:10.1016/j.cageo.2019.104331.

  template options:

    ## connected components (mintpy.load.connCompFile) are required for this step. ## SNAPHU (Chem & Zebker,2001) is currently the only unwrapper that provides connected components as far as we know. ## reference: Yunjun et al. (2019, section 3) ## supported methods: ## a. phase_closure - suitable for highly redundant network ## b. bridging - suitable for regions separated by narrow decorrelated features, e.g. rivers, narrow water bodies ## c. bridging+phase_closure - recommended when there is a small percentage of errors left after bridging mintpy.unwrapError.method = auto #[bridging / phase_closure / bridging+phase_closure / no], auto for no mintpy.unwrapError.waterMaskFile = auto #[waterMask.h5 / no], auto for waterMask.h5 or no [if not found] mintpy.unwrapError.connCompMinArea = auto #[1-inf], auto for 2.5e3, discard regions smaller than the min size in pixels

    ## phase_closure options: ## numSample - a region-based strategy is implemented to speedup L1-norm regularized least squares inversion. ## Instead of inverting every pixel for the integer ambiguity, a common connected component mask is generated, ## for each common conn. comp., numSample pixels are radomly selected for inversion, and the median value of the results ## are used for all pixels within this common conn. comp. mintpy.unwrapError.numSample = auto #[int>1], auto for 100, number of samples to invert for common conn. comp.

    ## briding options: ## ramp - a phase ramp could be estimated based on the largest reliable region, removed from the entire interferogram ## before estimating the phase difference between reliable regions and added back after the correction. ## bridgePtsRadius - half size of the window used to calculate the median value of phase difference mintpy.unwrapError.ramp = auto #[linear / quadratic], auto for no; recommend linear for L-band data mintpy.unwrapError.bridgePtsRadius = auto #[1-inf], auto for 50, half size of the window around end points

  Example:

unwrap_error_bridging.py
    ./inputs/ifgramStack.h5 -t GalapagosSenDT128.template --update

unwrap_error_bridging.py
    ./inputs/ifgramStack.h5 --water-mask waterMask.h5

unwrap_error_bridging.py
    20180502_20180619.unw --water-mask waterMask.h5